# Dagger

Dagger is a programmable deployment system.

Using Dagger, software builders can automate the deployment of any application to any infrastructure,
in just a few lines of code.

![image](https://user-images.githubusercontent.com/29565/112705398-d0222980-8e5b-11eb-98b9-32c117a3d606.jpeg)

The Dagger platform adapts to your application, not the other way around.
Thanks to its ecosystem of reusable packages and flexible scripting system, Dagger can be dropped
into any software project without requiring changes to its architecture or workflow.
Think of it as your "devops superglu".

No matter how your deployment works under the hood, you can manage it with the same Dagger user interface.
This makes developers more productive, because they don't have to learn a new workflow every time their deployment
system changes.

## Examples

* [Deploy a simple React application](https://github.com/dagger/dagger/blob/main/examples/README.md#deploy-a-simple-react-application)
* [Deploy an application to your Kubernetes cluster](https://github.com/dagger/dagger/blob/main/examples/README.md#deploy-a-simple-react-application)
* [Provision a Kubernetes cluster on AWS](https://github.com/dagger/dagger/blob/main/examples/README.md#provision-a-kubernetes-cluster-on-aws)
* [Add HTTP monitoring to your application](https://github.com/dagger/dagger/blob/main/examples/README.md#add-http-monitoring-to-your-application)
* [Deploy an application to your Kubernetes cluster](https://github.com/dagger/dagger/blob/main/examples/README.md#deploy-an-application-to-your-kubernetes-cluster)

## Alpha disclaimer

Dagger is *alpha-quality software*. It has many bugs, the user interface is minimal, and it may change in incompatible ways at any time. If you are still willing to try it, thank you! We appreciate your help and encourage you to ask questions and report issues.

## Learn More

* [Installing Dagger](doc/install.md)
* [Adding Dagger to your project](doc/adding_dagger.md)
* [Examples](examples/README.md)
* [Dagger vs. Other Software](doc/vs.md)
* [Dagger Programmer Manual](doc/programmer.md)
* [Dagger Operator Manual](doc/operator.md)
